Package org.apache.qpid.proton.codec

# Interface UnsignedIntegerType.UnsignedIntegerEncoding

All Superinterfaces:
  `PrimitiveTypeEncoding<UnsignedInteger>`, `TypeConstructor<UnsignedInteger>`, `TypeEncoding<UnsignedInteger>`

Enclosing class:
  `UnsignedIntegerType`

public static interface UnsignedIntegerType.UnsignedIntegerEncoding extends PrimitiveTypeEncoding<UnsignedInteger>

## Method Summary

### Methods inherited from interface org.apache.qpid.proton.codec.PrimitiveTypeEncoding

`getConstructorSize, getEncodingCode, getType, writeConstructor`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeConstructor

`encodesJavaPrimitive, getTypeClass, readValue, skipValue`

### Methods inherited from interface org.apache.qpid.proton.codec.TypeEncoding

`encodesJavaPrimitive, encodesSuperset, getValueSize, isFixedSizeVal, writeValue`